Bug 835919 - Provide a separate redhat-lsb-core package
Provide a separate redhat-lsb-core package
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: redhat-lsb (Show other bugs)
6.1
All Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Ondrej Vasik
Miroslav Hradílek
:
: 635690 784765 817317 857243 857357 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 10:27 EDT by Filip Van Raemdonck
Modified: 2013-04-20 10:35 EDT (History)
23 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
New redhat-lsb-core Package When installing the redhat-lsb package, a large number of dependencies is pulled into the system to meet the LSB standard. Red Hat Enterprise Linux 6.4 provides a new redhat-lsb-core subpackage which allows you to easily fetch only the minimal set of required packages by installing the redhat-lsb-core package.
Story Points: ---
Clone Of: 472630
: 954082 (view as bug list)
Environment:
Last Closed: 2013-02-21 05:46:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Van Raemdonck 2012-06-27 10:27:16 EDT
+++ This bug was initially created as a clone of Bug #472630 +++

Description of problem:

redhat-lsb package doesn't split core and graphics.  This means that
scripts that use lsb_release or init.d scripts that use
/lib/lsb/init-functions pull in dependencies for the X Windowing System.


Version-Release number of selected component (if applicable):

All

How reproducible:

Every time
        
Steps to Reproduce:
$> yum install redhat-lsb
=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 redhat-lsb              x86_64     3.1-12.3.EL      rhelbase           21 k
 redhat-lsb              i386       3.1-12.3.EL      rhelbase           21 k
Installing for dependencies:
 bc                      x86_64     1.06-21          rhelbase          110 k
 cairo                   x86_64     1.2.4-5.el5      rhelbase          386 k
 cups                    x86_64     1:1.2.4-11.18.el5  rhelbase          2.7 M
 cups-libs               x86_64     1:1.2.4-11.18.el5  rhelbase          176 k
 fontconfig              x86_64     2.4.1-7.el5      rhelbase          175 k
 freetype                x86_64     2.2.1-19.el5     rhelbase          310 k
 gnutls                  x86_64     1.4.1-2          rhelbase          364 k
 libICE                  i386       1.0.1-2.1        rhelbase           53 k
 libICE                  x86_64     1.0.1-2.1        rhelbase           53 k
 libSM                   i386       1.0.1-3.1        rhelbase           27 k
 libSM                   x86_64     1.0.1-3.1        rhelbase           28 k
 libX11                  i386       1.0.3-9.el5      rhelbase          796 k
 libX11                  x86_64     1.0.3-9.el5      rhelbase          796 k
 libXau                  x86_64     1.0.1-3.1        rhelbase           19 k
 libXau                  i386       1.0.1-3.1        rhelbase           18 k
 libXdmcp                x86_64     1.0.1-2.1        rhelbase           19 k
 libXdmcp                i386       1.0.1-2.1        rhelbase           19 k
 libXext                 x86_64     1.0.1-2.1        rhelbase           37 k
 libXext                 i386       1.0.1-2.1        rhelbase           36 k
 libXft                  x86_64     2.1.10-1.1       rhelbase           45 k
 libXi                   i386       1.0.1-3.1        rhelbase           25 k
 libXi                   x86_64     1.0.1-3.1        rhelbase           26 k
 libXrender              x86_64     0.9.1-3.1        rhelbase           28 k
 libXt                   x86_64     1.0.2-3.1.fc6    rhelbase          182 k
 libXt                   i386       1.0.2-3.1.fc6    rhelbase          174 k
 libXxf86vm              i386       1.0.1-3.1        rhelbase           14 k
 libXxf86vm              x86_64     1.0.1-3.1        rhelbase           14 k
 libdrm                  x86_64     2.0.2-1.1        rhelbase           19 k
 libdrm                  i386       2.0.2-1.1        rhelbase           19 k
 libjpeg                 x86_64     6b-37            rhelbase          140 k
 libpng                  x86_64     2:1.2.10-7.1.el5_0.1  rhelbase          235 k
 libtiff                 x86_64     3.8.2-7.el5      rhelbase          319 k
 mesa-libGL              x86_64     6.5.1-7.5.el5    rhelbase          8.7 M
 mesa-libGL              i386       6.5.1-7.5.el5    rhelbase          9.7 M
 pango                   x86_64     1.14.9-3.el5     rhelbase          334 k
 paps                    x86_64     0.6.6-17.el5     rhelbase           32 k
 xorg-x11-filesystem     noarch     7.1-2.fc6        rhelbase          5.5 k

Transaction Summary
=============================================================================
Install     39 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 26 M
Is this ok [y/N]: N
  
Actual results:


Expected results:

Scripts should be able to use lsb-core functionality on systems without the
X Windowing System.

Additional info:

Please see comments here:
http://lists.us.dell.com/pipermail/dkms-devel/2008-September/000762.html

--- Additional comment from thayne@fusionio.com on 2008-11-21 23:51:30 EST ---

BTW, the current bundling of LSB capabilities means that packages that want to use LSB core for portability now can't use it on any Linux distribution because the package must be usable when the X Windowing System is explicitly uninstalled.  Please consider breaking out the dependencies in a way similar to Debian:

lsb - Linux Standard Base 3.2 support package
lsb-appchk3 - LSB v3.x Application checking tool
lsb-base - Linux Standard Base 3.2 init script functionality
lsb-build-base3 - LSB v3.x Development tools base package
lsb-build-cc3 - LSB v3.x Development environment lsbcc package
lsb-build-desktop3 - LSB v3.x Development tools desktop package
lsb-core - Linux Standard Base 3.2 core support package
lsb-cxx - Linux Standard Base 3.2 C++ support package
lsb-desktop - Linux Standard Base 3.2 Desktop support package
lsb-graphics - Linux Standard Base 3.2 graphics support package
lsb-languages - Linux Standard Base 3.2 Runtime Languages package
lsb-multimedia - Linux Standard Base 3.2 Multimedia package
lsb-pkgchk3 - LSB v3.x package checking tool
lsb-printing - Linux Standard Base 3.2 Printing package
lsb-qt4 - Linux Standard Base 3.2 Qt4 support package
lsb-release - Linux Standard Base version reporting utility
lsb-rpm - Red Hat package manager for LSB package building

This provides fine-grained dependencies for packages that want to pull in distro-specific packages.

--- Additional comment from pertusus@free.fr on 2008-12-17 20:27:09 EST ---

At first
lsb-base
lsb-core
lsb-cxx
lsb-desktop

would be already much better. Fine grained sub packages as debian does may be nice, bit not that necessary in my opinion.

--- Additional comment from matt_domsch@dell.com on 2009-04-15 16:47:53 EDT ---

I spoke with Mats Wichman at the Linux Foundation Collaboration Summit last week, and he agrees that there should be finer-grained packages than what is present today.

--- Additional comment from enrico.scholz@informatik.tu-chemnitz.de on 2009-06-18 18:31:44 EDT ---

*** Bug 506828 has been marked as a duplicate of this bug. ***

--- Additional comment from raghavendra_biligiri@dell.com on 2010-06-23 04:14:56 EDT ---

Verified that RHEL6-Snapshot6 has redhat-lsb and redhat-lsb-graphics packages.

--- Additional comment from ohadlevy@redhat.com on 2011-08-08 07:08:07 EDT ---

Just FYI, the full package list is shown here:


===================================================================================================================================
 Package                            Arch             Version                         Repository                               Size
===================================================================================================================================
Installing:
 redhat-lsb                         x86_64           4.0-3.el6                       rhel-x86_64-server-6                     24 k
Installing for dependencies:
 cdparanoia-libs                    x86_64           10.2-5.1.el6                    rhel-x86_64-server-6                     47 k
 cups                               x86_64           1:1.4.2-39.el6                  rhel-x86_64-server-6                    2.3 M
 cvs                                x86_64           1.11.23-11.el6_0.1              rhel-x86_64-server-6                    713 k
 foomatic                           x86_64           4.0.4-1.el6_1.1                 rhel-x86_64-server-6                    251 k
 foomatic-db                        noarch           4.0-7.20091126.el6              rhel-x86_64-server-6                    980 k
 foomatic-db-filesystem             noarch           4.0-7.20091126.el6              rhel-x86_64-server-6                    4.3 k
 foomatic-db-ppds                   noarch           4.0-7.20091126.el6              rhel-x86_64-server-6                     19 M
 gettext                            x86_64           0.17-16.el6                     rhel-x86_64-server-6                    1.8 M
 ghostscript                        x86_64           8.70-11.el6_1.2                 rhel-x86_64-server-6                    4.4 M
 ghostscript-fonts                  noarch           5.50-23.1.el6                   rhel-x86_64-server-6                    750 k
 gstreamer                          x86_64           0.10.29-1.el6                   rhel-x86_64-server-6                    764 k
 gstreamer-plugins-base             x86_64           0.10.29-1.el6                   rhel-x86_64-server-6                    942 k
 gstreamer-tools                    x86_64           0.10.29-1.el6                   rhel-x86_64-server-6                     23 k
 iso-codes                          noarch           3.16-2.el6                      rhel-x86_64-server-6                    2.5 M
 lcms-libs                          x86_64           1.19-1.el6                      rhel-x86_64-server-6                    100 k
 libICE                             x86_64           1.0.6-1.el6                     rhel-x86_64-server-6                     53 k
 libSM                              x86_64           1.1.0-7.1.el6                   rhel-x86_64-server-6                     26 k
 libXfont                           x86_64           1.4.1-1.el6                     rhel-x86_64-server-6                    128 k
 libXt                              x86_64           1.0.7-1.el6                     rhel-x86_64-server-6                    174 k
 libXtst                            x86_64           1.0.99.2-3.el6                  rhel-x86_64-server-6                     22 k
 libXv                              x86_64           1.0.5-1.el6                     rhel-x86_64-server-6                     21 k
 libXxf86vm                         x86_64           1.1.0-1.el6                     rhel-x86_64-server-6                     18 k
 libfontenc                         x86_64           1.0.5-2.el6                     rhel-x86_64-server-6                     24 k
 libgomp                            x86_64           4.4.5-6.el6                     rhel-x86_64-server-6                    112 k
 libmng                             x86_64           1.0.10-4.1.el6                  rhel-x86_64-server-6                    164 k
 libogg                             x86_64           2:1.1.4-2.1.el6                 rhel-x86_64-server-6                     21 k
 liboil                             x86_64           0.3.16-4.1.el6                  rhel-x86_64-server-6                    122 k
 libtalloc                          x86_64           2.0.1-1.1.el6                   rhel-x86_64-server-6                     19 k
 libtheora                          x86_64           1:1.1.0-2.el6                   rhel-x86_64-server-6                    129 k
 libvisual                          x86_64           0.4.0-9.1.el6                   rhel-x86_64-server-6                    135 k
 libvorbis                          x86_64           1:1.2.3-4.el6                   rhel-x86_64-server-6                    170 k
 make                               x86_64           1:3.81-19.el6                   rhel-x86_64-server-6                    389 k
 mesa-dri-drivers                   x86_64           7.10-1.el6                      rhel-x86_64-server-6                    9.4 M
 mesa-libGL                         x86_64           7.10-1.el6                      rhel-x86_64-server-6                    135 k
 mesa-libGLU                        x86_64           7.10-1.el6                      rhel-x86_64-server-6                    176 k
 openjpeg-libs                      x86_64           1.3-7.el6                       rhel-x86_64-server-6                     59 k
 patch                              x86_64           2.6-6.el6                       rhel-x86_64-server-6                     91 k
 pax                                x86_64           3.4-10.1.el6                    rhel-x86_64-server-6                     69 k
 perl-CGI                           x86_64           3.51-119.el6                    rhel-x86_64-server-6                    206 k
 perl-ExtUtils-MakeMaker            x86_64           6.55-119.el6                    rhel-x86_64-server-6                    290 k
 perl-ExtUtils-ParseXS              x86_64           1:2.2003.0-119.el6              rhel-x86_64-server-6                     42 k
 perl-Test-Harness                  x86_64           3.17-119.el6                    rhel-x86_64-server-6                    228 k
 perl-Test-Simple                   x86_64           0.92-119.el6                    rhel-x86_64-server-6                    109 k
 perl-devel                         x86_64           4:5.10.1-119.el6                rhel-x86_64-server-6                    420 k
 phonon-backend-gstreamer           x86_64           1:4.6.2-19.el6                  rhel-x86_64-server-fastrack-6           125 k
 poppler                            x86_64           0.12.4-3.el6_0.1                rhel-x86_64-server-6                    557 k
 poppler-data                       noarch           0.4.0-1.el6                     rhel-x86_64-server-6                    2.2 M
 poppler-utils                      x86_64           0.12.4-3.el6_0.1                rhel-x86_64-server-6                     73 k
 portreserve                        x86_64           0.0.4-4.el6                     rhel-x86_64-server-6                     22 k
 qt                                 x86_64           1:4.6.2-19.el6                  rhel-x86_64-server-fastrack-6           4.0 M
 qt-sqlite                          x86_64           1:4.6.2-19.el6                  rhel-x86_64-server-fastrack-6            50 k
 qt-x11                             x86_64           1:4.6.2-19.el6                  rhel-x86_64-server-fastrack-6            12 M
 qt3                                x86_64           3.3.8b-29.el6                   rhel-x86_64-server-6                    3.5 M
 redhat-lsb-graphics                x86_64           4.0-3.el6                       rhel-x86_64-server-6                     12 k
 redhat-lsb-printing                x86_64           4.0-3.el6                       rhel-x86_64-server-6                     11 k
 urw-fonts                          noarch           2.4-10.el6                      rhel-x86_64-server-6                    3.1 M
 xml-common                         noarch           0.6.3-32.el6                    rhel-x86_64-server-6                    9.4 k
 xorg-x11-font-utils                x86_64           1:7.2-10.el6                    rhel-x86_64-server-6                     72 k
Updating for dependencies:
 cups-libs                          x86_64           1:1.4.2-39.el6                  rhel-x86_64-server-6                    315 k
 perl                               x86_64           4:5.10.1-119.el6                rhel-x86_64-server-6                     10 M
 perl-Module-Pluggable              x86_64           1:3.90-119.el6                  rhel-x86_64-server-6                     37 k
 perl-Pod-Escapes                   x86_64           1:1.04-119.el6                  rhel-x86_64-server-6                     29 k
 perl-Pod-Simple                    x86_64           1:3.13-119.el6                  rhel-x86_64-server-6                    209 k
 perl-libs                          x86_64           4:5.10.1-119.el6                rhel-x86_64-server-6                    577 k
 perl-version                       x86_64           3:0.77-119.el6                  rhel-x86_64-server-6                     48 k

Transaction Summary
===================================================================================================================================
Install      59 Package(s)
Upgrade       7 Package(s)

Total download size: 85 M

--- Additional comment from Hanno.Steinke.ext@siemens.com on 2011-09-02 07:36:01 EDT ---

Looks like a never ending story.

It was quite ok with RHEL6 and the package redhat-lsb-4.0-2.1.el6, which had the lsb-graphics and lsb-printing separated.

In the current RHEL6.1 the package redhat-lsb-4.0-3.el6 tries to fix bug BZ#585947
by backpedalling to RHEL5 practices and requiring both redhat-lsb-graphics and redhat-lsb-printing in redhat-lsb. The obvious solution would have been to fix the lsb-release script to report only what is actually there.

The least hassle will be if you add one more package, redhat-lsb-core, to avoid misunderstandings in the future. redhat-lsb may require all three sub-packages and packages that want yust that are satisfied. Packages that only require LSB-core should require just redhat-lsb-core and this bug can be finally closed.

And, lsb-release shold not lie about what is installed.

Just my €,02 ;-)

--- Additional comment from redhat@stefan-neufeind.de on 2011-12-10 08:53:05 EST ---

Just stumbled across this problem after an upgrade 6.0 to 6.1 which pulled in redhat-lsb-graphics and redhat-lsb-printing, which imho doesn't really make sense for a minimal server in various cases.

So I'd agree a redhat-lsb-core would be great to have and a lsb_release-skript in there that properly detects if graphics/printing are installed or not.
You might still have redhat-lsb pull in all redhat-lsb-packages (to pull graphics/printing on upgrade). But for a minimal system it should then to only install redhat-lsb-core and remove the meta-package redhat-lsb afterwards. (Packages would then need to depend on redhat-lsb-core only instead of redhat-lsb!)

--- Additional comment from redhat@stefan-neufeind.de on 2011-12-10 09:17:08 EST ---

Hmm, as noted in the spec-file for redhat-lsb etc. the LSB 4.0 does not yet allow for modularization. That will have to wait for a newer LSB-release, which is likely to be called LSB 5.0. Unfortunately work on that already seem to be behind schedule for 2011 as outlined in the ProjectPlan. So actually it's not RedHat to blame - they just do their best to be "compliant".

https://wiki.linuxfoundation.org/en/Modularization50

--- Additional comment from mechanix@debian.org on 2011-12-22 02:56:31 EST ---

Hi.
I do not agree that Red Hat is doing their best in this situation. Maybe for external ISV's; but certainly not for their own distribution.

Just try installing RHEL 6.1 tomcat6 package - it is pulling in redhat-lsb and a whole slew of graphical dependencies because of that package. Only to be able to use the LSB initscript functions.

For a piece of software that Red Hat packages and distributes of their own, it is certainly possible to split out the initscript functionality into a package of its own and have redhat-lsb depend on that instead. While server packages can depend on the smaller package.

I would like to remind that LSB was created for ISV's, not for distribution packagers.

And as one of the major Linux distributors, Red Hat can also stress the importance of this in/to the LSB workgroup. In hope that it does get tackled there sooner rather than later.

--- Additional comment from jpallich@redhat.com on 2012-06-20 09:31:24 EDT ---

Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.
Comment 2 Petr Šplíchal 2012-07-31 03:42:09 EDT
What's the current status here? Are we going to provide a separate
redhat-lsb-core package? Looks like this would resolve bug 801158,
bug 635690, bug 709016, bug 784765 and bug 817317 as well.
Comment 3 Lawrence Lim 2012-08-13 04:28:41 EDT
It makes sense providing a separate redhat-lsb-core package. As Petr highlighted, seems to be the root of many issues brought forward. Ack for 6.4.
Comment 5 Petr Šplíchal 2012-08-14 04:56:28 EDT
*** Bug 784765 has been marked as a duplicate of this bug. ***
Comment 6 Petr Šplíchal 2012-08-14 05:04:25 EDT
*** Bug 817317 has been marked as a duplicate of this bug. ***
Comment 8 matthew patton 2012-09-13 18:18:21 EDT
I think the dependency logic being proposed is not correct. There is no need for '-core'. redhat-lsb IS core. ISV's should fix their requirements such that if they need printing, they require 'redhat-lsb-printing'. If they need graphics '-graphics'. These child packages have as a pre-requisite plain jane 'redhat-lsb'. It was a mistake to treat 'redhat-lsb' as synonymous with 'redhat-lsb-*'. That is the root of the current mess.
Comment 9 Christoph Anton Mitterer 2012-09-13 18:23:36 EDT
Who talks about -printing and friends? redhat-lsb itslef has already far too much deps:
================================================================================
 Package                   Arch    Version                   Repository    Size
================================================================================
Installing:
 redhat-lsb                x86_64  4.0-3.el6                 sl            23 k
Installing for dependencies:
 atk                       x86_64  1.28.0-2.el6              sl           190 k
 avahi-libs                x86_64  0.6.25-11.el6             sl            53 k
 cairo                     x86_64  1.8.8-3.1.el6             sl           308 k
 cdparanoia-libs           x86_64  10.2-5.1.el6              sl            47 k
 cups                      x86_64  1:1.4.2-44.el6            sl           2.3 M
 cups-libs                 x86_64  1:1.4.2-44.el6            sl           314 k
 cvs                       x86_64  1.11.23-11.el6_2.1        sl-security  711 k
 foomatic                  x86_64  4.0.4-1.el6_1.1           sl           250 k
 foomatic-db               noarch  4.0-7.20091126.el6        sl           979 k
 foomatic-db-filesystem    noarch  4.0-7.20091126.el6        sl           3.4 k
 foomatic-db-ppds          noarch  4.0-7.20091126.el6        sl            19 M
 gettext                   x86_64  0.17-16.el6               sl           1.8 M
 ghostscript               x86_64  8.70-14.el6_3.1           sl-security  4.4 M
 ghostscript-fonts         noarch  5.50-23.1.el6             sl           749 k
 gstreamer                 x86_64  0.10.29-1.el6             sl           763 k
 gstreamer-plugins-base    x86_64  0.10.29-1.el6             sl           942 k
 gstreamer-tools           x86_64  0.10.29-1.el6             sl            22 k
 gtk2                      x86_64  2.18.9-6.el6              sl           3.3 M
 hicolor-icon-theme        noarch  0.11-1.1.el6              sl            39 k
 iso-codes                 noarch  3.16-2.el6                sl           2.4 M
 jasper-libs               x86_64  1.900.1-15.el6_1.1        sl-security  135 k
 lcms-libs                 x86_64  1.19-1.el6                sl            99 k
 libXcomposite             x86_64  0.4.1-2.el6               sl            16 k
 libXdamage                x86_64  1.1.2-1.el6               sl            15 k
 libmng                    x86_64  1.0.10-4.1.el6            sl           164 k
 liboil                    x86_64  0.3.16-4.1.el6            sl           120 k
 libthai                   x86_64  0.1.12-3.el6              sl           182 k
 libtheora                 x86_64  1:1.1.0-2.el6             sl           128 k
 libtiff                   x86_64  3.9.4-6.el6_3             sl-security  340 k
 libvisual                 x86_64  0.4.0-9.1.el6             sl           134 k
 mesa-dri-drivers          x86_64  7.11-3.el6                sl            11 M
 mesa-libGL                x86_64  7.11-3.el6                sl           144 k
 mesa-libGLU               x86_64  7.11-3.el6                sl           200 k
 openjpeg-libs             x86_64  1.3-8.el6_3               sl-security   58 k
 pango                     x86_64  1.28.1-3.el6_0.5          sl           350 k
 perl-CGI                  x86_64  3.51-119.el6_1.1          sl           205 k
 perl-ExtUtils-MakeMaker   x86_64  6.55-119.el6_1.1          sl           289 k
 perl-ExtUtils-ParseXS     x86_64  1:2.2003.0-119.el6_1.1    sl            41 k
 perl-Test-Harness         x86_64  3.17-119.el6_1.1          sl           228 k
 perl-Test-Simple          x86_64  0.92-119.el6_1.1          sl           109 k
 perl-devel                x86_64  4:5.10.1-119.el6_1.1      sl           419 k
 phonon-backend-gstreamer  x86_64  1:4.6.2-24.el6            sl-security  125 k
 poppler                   x86_64  0.12.4-3.el6_0.1          sl           556 k
 poppler-data              noarch  0.4.0-1.el6               sl           2.2 M
 poppler-utils             x86_64  0.12.4-3.el6_0.1          sl            72 k
 portreserve               x86_64  0.0.4-4.el6_1.1           sl            21 k
 qt                        x86_64  1:4.6.2-24.el6            sl-security  4.0 M
 qt-sqlite                 x86_64  1:4.6.2-24.el6            sl-security   50 k
 qt-x11                    x86_64  1:4.6.2-24.el6            sl-security   12 M
 qt3                       x86_64  3.3.8b-30.el6             sl           3.5 M
 redhat-lsb-graphics       x86_64  4.0-3.el6                 sl            11 k
 redhat-lsb-printing       x86_64  4.0-3.el6                 sl           9.6 k
 tmpwatch                  x86_64  2.9.16-4.el6              sl            30 k
 urw-fonts                 noarch  2.4-10.el6                sl           3.0 M
 xml-common                noarch  0.6.3-32.el6              sl           8.4 k

Transaction Summary
================================================================================
Install      56 Package(s)


Which are never ever needed if you just wanna use LSB init script functions on a server (why should you need fonts or Qt there?!) or when you just wanna have lsb-release.
Comment 10 matthew patton 2012-09-13 23:07:49 EDT
Christoph the problem is redhat-lsb is forcing the inclusion of redhat-lsb-printing and redhat-lsb-graphics which are what explode the package count. THAT is the error. The dependency tree was specified upside-down or if you rather, backwards. redhat-lsb-graphics is supposed to require redhat-lsb. Not the other way around.
Comment 11 Bill Nottingham 2012-09-14 12:13:19 EDT
(In reply to comment #8)
> I think the dependency logic being proposed is not correct. There is no need
> for '-core'. redhat-lsb IS core. ISV's should fix their requirements such
> that if they need printing, they require 'redhat-lsb-printing'. If they need
> graphics '-graphics'. These child packages have as a pre-requisite plain
> jane 'redhat-lsb'. It was a mistake to treat 'redhat-lsb' as synonymous with
> 'redhat-lsb-*'. That is the root of the current mess.

The full LSB spec doesn't allow graphics, printing, etc. to be optional. Hence, if you ask for redhat-lsb, you have to assume you want the full spec (i.e., everything.)
Comment 12 Curtis Doty 2012-09-21 16:59:59 EDT
If I understand the semantics correctly "LSB is only full LSB"...then how to build a headless or single-function *server* that doesn't need the extra baggage from printing, graphics, video, etc? A metapackage called redhat-notquite-lsb or something like that?
Comment 13 Stefan Neufeind 2012-09-21 17:11:07 EDT
Well, full LSB is "full". But newer LSB-versions have "Printing" as a separate module and also "Desktop"-module (former "Graphics").

So starting from LSB 3.2 those two parts are separate and could be installed separately, in theory.

http://refspecs.linuxbase.org/lsb.shtml
Comment 14 Curtis Doty 2012-09-21 21:50:14 EDT
So since the redhat-lsb package is newer, why must it be the "full" spec again, Bill?
Comment 15 Bill Nottingham 2012-09-25 00:05:44 EDT
The LSB standard is for all the submodules, graphics, core, etc. If you want only one submodule, only install the bit for that submodule. If you install 'redhat-lsb', you get the whole thing. If you want a redhat-lsb-core that only installs the core set, that's fine, but the base redhat-lsb *has* to be the whole thing.
Comment 16 Brian J. Murrell 2012-09-25 06:23:55 EDT
Bill,

You seem to have lost sight of the actual issue here, perhaps in all of the back and forth.  My use case is that I just want the lsb_release tool.  If I have that tool on all of the Linuxen machines that I need to be portable on, I have a one-stop, canonical method of knowing exactly which distro of Linux I am dealing with.  So...

$ rpm -qf $(which lsb_release)
redhat-lsb-4.0-2.1.el6.centos.x86_64

$ sudo yum install redhat-lsb
...
Dependencies Resolved

================================================================================
 Package                   Arch    Version                Repository       Size
================================================================================
Installing:
 redhat-lsb                x86_64  4.0-3.el6.centos       centos-base      24 k
Installing for dependencies:
 alsa-lib                  x86_64  1.0.22-3.el6           centos-base     370 k
 cdparanoia-libs           x86_64  10.2-5.1.el6           centos-base      47 k
 cups                      x86_64  1:1.4.2-48.el6_3.1     centos-updates  2.3 M
 cvs                       x86_64  1.11.23-11.el6_2.1     centos-base     712 k
 foomatic                  x86_64  4.0.4-1.el6_1.1        centos-base     251 k
 foomatic-db               noarch  4.0-7.20091126.el6     centos-base     980 k
 foomatic-db-filesystem    noarch  4.0-7.20091126.el6     centos-base     4.4 k
 foomatic-db-ppds          noarch  4.0-7.20091126.el6     centos-base      19 M
 gettext                   x86_64  0.17-16.el6            centos-base     1.8 M
 ghostscript               x86_64  8.70-14.el6_3.1        centos-updates  4.4 M
 ghostscript-fonts         noarch  5.50-23.1.el6          centos-base     751 k
 gstreamer                 x86_64  0.10.29-1.el6          centos-base     764 k
 gstreamer-plugins-base    x86_64  0.10.29-1.el6          centos-base     942 k
 gstreamer-tools           x86_64  0.10.29-1.el6          centos-base      23 k
 iso-codes                 noarch  3.16-2.el6             centos-base     2.4 M
 lcms-libs                 x86_64  1.19-1.el6             centos-base     100 k
 libXfont                  x86_64  1.4.1-2.el6_1          centos-base     128 k
 libXt                     x86_64  1.0.7-1.el6            centos-base     174 k
 libXtst                   x86_64  1.0.99.2-3.el6         centos-base      22 k
 libXv                     x86_64  1.0.5-1.el6            centos-base      21 k
 libfontenc                x86_64  1.0.5-2.el6            centos-base      24 k
 libgudev1                 x86_64  147-2.42.el6           centos-updates   59 k
 libmng                    x86_64  1.0.10-4.1.el6         centos-base     165 k
 libogg                    x86_64  2:1.1.4-2.1.el6        centos-base      21 k
 liboil                    x86_64  0.3.16-4.1.el6         centos-base     121 k
 libtheora                 x86_64  1:1.1.0-2.el6          centos-base     129 k
 libvisual                 x86_64  0.4.0-9.1.el6          centos-base     135 k
 libvorbis                 x86_64  1:1.2.3-4.el6_2.1      centos-base     168 k
 make                      x86_64  1:3.81-20.el6          centos-base     389 k
 openjpeg-libs             x86_64  1.3-9.el6_3            centos-updates   59 k
 patch                     x86_64  2.6-6.el6              centos-base      90 k
 pax                       x86_64  3.4-10.1.el6           centos-base      69 k
 perl-CGI                  x86_64  3.51-127.el6           centos-base     207 k
 perl-ExtUtils-MakeMaker   x86_64  6.55-127.el6           centos-base     291 k
 perl-ExtUtils-ParseXS     x86_64  1:2.2003.0-127.el6     centos-base      43 k
 perl-Test-Harness         x86_64  3.17-127.el6           centos-base     229 k
 perl-Test-Simple          x86_64  0.92-127.el6           centos-base     110 k
 perl-devel                x86_64  4:5.10.1-127.el6       centos-base     421 k
 phonon-backend-gstreamer  x86_64  1:4.6.2-24.el6         centos-base     126 k
 poppler                   x86_64  0.12.4-3.el6_0.1       centos-base     557 k
 poppler-data              noarch  0.4.0-1.el6            centos-base     2.2 M
 poppler-utils             x86_64  0.12.4-3.el6_0.1       centos-base      73 k
 portreserve               x86_64  0.0.4-9.el6            centos-base      23 k
 qt                        x86_64  1:4.6.2-24.el6         centos-base     3.9 M
 qt-sqlite                 x86_64  1:4.6.2-24.el6         centos-base      51 k
 qt-x11                    x86_64  1:4.6.2-24.el6         centos-base      12 M
 qt3                       x86_64  3.3.8b-30.el6          centos-base     3.5 M
 redhat-lsb-graphics       x86_64  4.0-3.el6.centos       centos-base      12 k
 redhat-lsb-printing       x86_64  4.0-3.el6.centos       centos-base      11 k
 urw-fonts                 noarch  2.4-10.el6             centos-base     3.1 M
 xml-common                noarch  0.6.3-32.el6           centos-base     9.5 k
 xorg-x11-font-utils       x86_64  1:7.2-11.el6           centos-base      75 k
Updating for dependencies:
 cups-libs                 x86_64  1:1.4.2-48.el6_3.1     centos-updates  316 k

Transaction Summary
================================================================================
Install      53 Package(s)
Upgrade       1 Package(s)

Total download size: 64 M

64MB of cruft that I really don't need or want -- just so that I can have a consistent, portable way of knowing which Linux I am actually working on.
Comment 17 Filip Van Raemdonck 2012-09-25 06:38:46 EDT
I always understood from the outset the requirement for redhat-lsb to be the full thing, as pointed out by Bill in his latest post.

What I do not understand, and outlined in my comment on the original bug before that one was closed, is:

Why Red Hat packages need to depend on redhat-lsb. LSB was created for ISV's. Red Hat is not an ISV.


In addition, I also do feel that the problem here is largely because lsb-core (as per the spec, not package) is contained in the package redhat-lsb and that package depends on ALL the other subsystems.

So yes, splitting lsb-core out from the redhat-lsb package SHOULD also happen imo. To allow installing *only* lsb-core from the spec on servers, if the admin wants to.

Besides, while redhat-lsb should indeed be full spec, there is nothing in the spec that prohibits ISV's from depending on only the lsb-core part of it. But in the current Red Hat lsb package set, such dependency will still pull in all other subsystems.



KR, Filip
Comment 18 Bill Nottingham 2012-09-25 08:36:29 EDT
Right, I'm fine with having separate redhat-lsb-{core,graphics,printing...} packages and just having a redhat-lsb package that requires all of them. In that case, I believe lsb-release would be in redhat-lsb-core.

Brian - please file issues for RH packages that requires redhat-lsb - I suspect a chunk of them are that way just from adherence to initial upstream packaging. (If this is already filed, that's great.)
Comment 19 Brian J. Murrell 2012-09-25 08:43:47 EDT
(In reply to comment #18)
> 
> Brian - please file issues for RH packages that requires redhat-lsb - I
> suspect a chunk of them are that way just from adherence to initial upstream
> packaging. (If this is already filed, that's great.)

Bill,

I'm not entirely sure what you are asking me to do here.  AFAICT, this bug was opened for and describes exactly what I am looking for:

Provide a separate redhat-lsb-core package

where the opening comment is:

redhat-lsb package doesn't split core and graphics.  This means that
scripts that use lsb_release or init.d scripts that use
/lib/lsb/init-functions pull in dependencies for the X Windowing System.

This is *exactly* my desire.

AFAICT, no new bugs need opening and if the goal of this bug is satisfied, I would be happy.
Comment 20 Bill Nottingham 2012-09-25 08:54:47 EDT
Sorry, I misspoke - it was Filip that asked about Red Hat packages requiring redhat-lsb when they arguably shouldn't - that should be tracked in other bugs.
Comment 24 Brian J. Murrell 2012-10-18 10:23:44 EDT
What info is needed?
Comment 26 Ondrej Vasik 2012-12-04 11:27:47 EST
*** Bug 857243 has been marked as a duplicate of this bug. ***
Comment 27 Ondrej Vasik 2012-12-14 07:03:03 EST
*** Bug 857357 has been marked as a duplicate of this bug. ***
Comment 28 Ondrej Vasik 2012-12-14 07:13:08 EST
*** Bug 635690 has been marked as a duplicate of this bug. ***
Comment 30 Brian J. Murrell 2012-12-14 11:20:04 EST
Is the SRPM that was ON_QA and has now been VERIFIED available so that we stakeholders can verify that it meets our requirements before this goes to full release?
Comment 31 Ondrej Vasik 2012-12-14 11:30:07 EST
Unfortunately, as far as I can tell package in beta trees is older than the one where the issue should be resolved.
Comment 33 Gianluca Varisco 2013-02-20 05:37:13 EST
Is there any update on this issue?
Comment 34 Denise Dumas 2013-02-20 08:33:58 EST
Watch for this in 6.4
Comment 35 errata-xmlrpc 2013-02-21 05:46:32 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0448.html

Note You need to log in before you can comment on or make changes to this bug.